// ImageProc.h: interface for the CImageProc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGEPROC_H__E73A94C4_9BA8_453D_A37D_A4C95F089944__INCLUDED_)
#define AFX_IMAGEPROC_H__E73A94C4_9BA8_453D_A37D_A4C95F089944__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CImageProc  
{
public:
	void RGBToHSI(BYTE R, BYTE G, BYTE B, float* H, float* S, float* I);
	void RGBToYCbCr(BYTE R, BYTE G, BYTE B, float* Y, float* Cb, float* Cr);
	void RGBToYIQ(BYTE R, BYTE G, BYTE B, float* Y, float* I, float* Q);
	CImageProc();
	virtual ~CImageProc();

};

#endif // !defined(AFX_IMAGEPROC_H__E73A94C4_9BA8_453D_A37D_A4C95F089944__INCLUDED_)
